Bug 593340 - RFE: Allow setting syslog facility for audisp syslog plugin
Summary: RFE: Allow setting syslog facility for audisp syslog plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audit
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 667536
TreeView+ depends on / blocked
 
Reported: 2010-05-18 14:49 UTC by Konstantin Ryabitsev
Modified: 2011-02-22 04:55 UTC (History)
1 user (show)

Fixed In Version: audit-2.0.6-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 667536 (view as bug list)
Environment:
Last Closed: 2011-02-22 04:55:12 UTC
Type: ---


Attachments (Terms of Use)

Description Konstantin Ryabitsev 2010-05-18 14:49:43 UTC
The syslog plugin for audisp doesn't specify the facility, so the default facility (LOG_USER) is used. Perhaps this can be made configurable so I could configure syslog to only send audit logs to remote without duplicating them in /var/log/messages (e.g. set facility to local9 and only send it to a remote server, not locally)?

Currently that's not possible and I end up wasting space by having audit logs both in /var/log/audit/audit.log and in /var/log/messages. Turning off af_unix is an option, but that has a significant drawback of complicating ausearch/aureport.

Comment 1 Bug Zapper 2010-11-03 14:38:42 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora Update System 2011-02-05 13:19:28 UTC
audit-2.0.6-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/audit-2.0.6-1.fc14

Comment 3 Fedora Update System 2011-02-05 22:21:18 UTC
audit-2.0.6-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audit'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/audit-2.0.6-1.fc14

Comment 4 Fedora Update System 2011-02-22 04:55:07 UTC
audit-2.0.6-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.